#include<fstream>
#include<string>
#include<iostream>
using namespace std;
ifstream fi("BOI30.inp");
ofstream fo("BOI30.out");
string s;
int u;
int t=0;
int main()
{
	getline(fi,s);
	for(int i=0;i<s.length();i++)
	{
		for(int j=i;j<s.length();j++)
		{
			if(s[i]<s[j]) swap(s[i],s[j]);
		}
	}
	for(int e=0;e<s.length();e++)
	{
		u=int(s[e]);
		t+=u;
	}
	if((t%3==0)&&(s[s.length()-1]=='0'))
	{
		for(int r=0;r<s.length();r++) fo<<s[r];
	}
	else fo<<"-1";
	fi.close();
	fo.close();
}
